﻿![Vanara](https://github.com/dahall/Vanara/raw/master/docs/icons/VanaraHeading.png)
### Vanara.PInvoke.Gdi32 NuGet Package
[![Version](https://img.shields.io/nuget/v/Vanara.PInvoke.Gdi32?label=NuGet&style=flat-square)](https://github.com/dahall/Vanara/releases)
[![Build status](https://img.shields.io/appveyor/build/dahall/vanara?label=AppVeyor%20build&style=flat-square)](https://ci.appveyor.com/project/dahall/vanara)

PInvoke API (methods, structures and constants) imported from Windows Gdi32.dll

### What is Vanara?

[Vanara](https://github.com/dahall/Vanara) is a community project that contains various .NET assemblies which have P/Invoke functions, interfaces, enums and structures from Windows libraries. Each assembly is associated with one or a few tightly related libraries.

### Issues?

First check if it's already fixed by trying the [AppVeyor build](https://ci.appveyor.com/nuget/vanara-prerelease).
If you're still running into problems, file an [issue](https://github.com/dahall/Vanara/issues).

### Included in Vanara.PInvoke.Gdi32

Functions | Enumerations | Structures
--- | --- | ---
AbortDoc<br>AbortPath<br>AddFontMemResourceEx<br>AddFontResource<br>AddFontResourceEx<br>AngleArc<br>AnimatePalette<br>Arc<br>ArcTo<br>BeginPath<br>BitBlt<br>CancelDC<br>CheckColorsInGamut<br>ChoosePixelFormat<br>Chord<br>CloseEnhMetaFile<br>CloseFigure<br>CloseMetaFile<br>ColorCorrectPalette<br>ColorMatchToTarget<br>CombineRgn<br>CombineTransform<br>CopyEnhMetaFile<br>CopyMetaFile<br>CreateBitmap<br>CreateBitmapIndirect<br>CreateBrushIndirect<br>CreateColorSpace<br>CreateCompatibleBitmap<br>CreateCompatibleDC<br>CreateDC<br>CreateDIBitmap<br>CreateDIBPatternBrush<br>CreateDIBPatternBrushPt<br>CreateDIBSection<br>CreateDiscardableBitmap<br>CreateEllipticRgn<br>CreateEllipticRgnIndirect<br>CreateEnhMetaFile<br>CreateFont<br>CreateFontIndirect<br>CreateFontIndirectEx<br>CreateHalftonePalette<br>CreateHatchBrush<br>CreateIC<br>CreateMetaFile<br>CreatePalette<br>CreatePatternBrush<br>CreatePen<br>CreatePenIndirect<br>CreatePolygonRgn<br>CreatePolyPolygonRgn<br>CreateRectRgn<br>CreateRectRgnIndirect<br>CreateRoundRectRgn<br>CreateScalableFontResource<br>CreateSolidBrush<br>DeleteColorSpace<br>DeleteDC<br>DeleteEnhMetaFile<br>DeleteMetaFile<br>DeleteObject<br>DescribePixelFormat<br>DPtoLP<br>DrawEscape<br>Ellipse<br>EnableEUDC<br>EndDoc<br>EndPage<br>EndPath<br>EnumEnhMetaFile<br>EnumFontFamilies<br>EnumFontFamiliesEx<br>EnumFonts<br>EnumICMProfiles<br>EnumMetaFile<br>EnumObjects<br>EqualRgn<br>Escape<br>ExcludeClipRect<br>ExtCreatePen<br>ExtCreateRegion<br>ExtEscape<br>ExtFloodFill<br>ExtSelectClipRgn<br>ExtTextOut<br>FillPath<br>FillRgn<br>FlattenPath<br>FloodFill<br>FrameRgn<br>GdiAlphaBlend<br>GdiComment<br>GdiDeleteSpoolFileHandle<br>GdiEndDocEMF<br>GdiEndPageEMF<br>GdiFlush<br>GdiGetBatchLimit<br>GdiGetDC<br>GdiGetDevmodeForPage<br>GdiGetPageCount<br>GdiGetPageHandle<br>GdiGetSpoolFileHandle<br>GdiGradientFill<br>GdiPlayPageEMF<br>GdiResetDCEMF<br>GdiSetBatchLimit<br>GdiStartDocEMF<br>GdiStartPageEMF<br>GdiTransparentBlt<br>GetArcDirection<br>GetAspectRatioFilterEx<br>GetBitmapBits<br>GetBitmapDimensionEx<br>GetBkColor<br>GetBkMode<br>GetBoundsRect<br>GetBrushOrgEx<br>GetCharABCWidths<br>GetCharABCWidthsFloat<br>GetCharABCWidthsI<br>GetCharacterPlacement<br>GetCharWidth<br>GetCharWidth32<br>GetCharWidthFloat<br>GetCharWidthI<br>GetClipBox<br>GetClipRgn<br>GetColorAdjustment<br>GetColorSpace<br>GetCurrentObject<br>GetCurrentPositionEx<br>GetDCBrushColor<br>GetDCOrgEx<br>GetDCPenColor<br>GetDeviceCaps<br>GetDeviceGammaRamp<br>GetDIBColorTable<br>GetDIBits<br>GetEnhMetaFile<br>GetEnhMetaFileBits<br>GetEnhMetaFileDescription<br>GetEnhMetaFileHeader<br>GetEnhMetaFilePaletteEntries<br>GetEnhMetaFilePixelFormat<br>GetFontData<br>GetFontLanguageInfo<br>GetFontUnicodeRanges<br>GetGlyphIndices<br>GetGlyphOutline<br>GetGraphicsMode<br>GetICMProfile<br>GetKerningPairs<br>GetLayout<br>GetLogColorSpace<br>GetMapMode<br>GetMetaFileA<br>GetMetaFileBitsEx<br>GetMetaFileW<br>GetMetaRgn<br>GetMiterLimit<br>GetNearestColor<br>GetNearestPaletteIndex<br>GetObject<br>GetObjectType<br>GetOutlineTextMetrics<br>GetPaletteEntries<br>GetPath<br>GetPixel<br>GetPixelFormat<br>GetPolyFillMode<br>GetRandomRgn<br>GetRasterizerCaps<br>GetRegionData<br>GetRgnBox<br>GetROP2<br>GetStockObject<br>GetStretchBltMode<br>GetSystemPaletteEntries<br>GetSystemPaletteUse<br>GetTextAlign<br>GetTextCharacterExtra<br>GetTextCharset<br>GetTextCharsetInfo<br>GetTextColor<br>GetTextExtentExPoint<br>GetTextExtentExPointI<br>GetTextExtentPoint<br>GetTextExtentPoint32<br>GetTextExtentPointI<br>GetTextFace<br>GetTextMetrics<br>GetViewportExtEx<br>GetViewportOrgEx<br>GetWindowExtEx<br>GetWindowOrgEx<br>GetWinMetaFileBits<br>GetWorldTransform<br>GradientFillA<br>IntersectClipRect<br>InvertRgn<br>LineDDA<br>LineTo<br>LPtoDP<br>MaskBlt<br>ModifyWorldTransform<br>MoveToEx<br>OffsetClipRgn<br>OffsetRgn<br>OffsetViewportOrgEx<br>OffsetWindowOrgEx<br>PaintRgn<br>PatBlt<br>PathToRegion<br>Pie<br>PlayEnhMetaFile<br>PlayEnhMetaFileRecord<br>PlayMetaFile<br>PlayMetaFileRecord<br>PlgBlt<br>PolyBezier<br>PolyBezierTo<br>PolyDraw<br>Polygon<br>Polyline<br>PolylineTo<br>PolyPolygon<br>PolyPolyline<br>PolyTextOut<br>PtInRegion<br>PtVisible<br>RealizePalette<br>Rectangle<br>RectInRegion<br>RectVisible<br>RemoveFontMemResourceEx<br>RemoveFontResource<br>RemoveFontResourceEx<br>ResetDC<br>ResizePalette<br>RestoreDC<br>RoundRect<br>SaveDC<br>ScaleViewportExtEx<br>ScaleWindowExtEx<br>SelectClipPath<br>SelectClipRgn<br>SelectObject<br>SelectPalette<br>SetAbortProc<br>SetArcDirection<br>SetBitmapBits<br>SetBitmapDimensionEx<br>SetBkColor<br>SetBkMode<br>SetBoundsRect<br>SetBrushOrgEx<br>SetColorAdjustment<br>SetColorSpace<br>SetDCBrushColor<br>SetDCPenColor<br>SetDeviceGammaRamp<br>SetDIBColorTable<br>SetDIBits<br>SetDIBitsToDevice<br>SetEnhMetaFileBits<br>SetGraphicsMode<br>SetICMMode<br>SetICMProfile<br>SetLayout<br>SetMapMode<br>SetMapperFlags<br>SetMetaFileBitsEx<br>SetMetaRgn<br>SetMiterLimit<br>SetPaletteEntries<br>SetPixel<br>SetPixelFormat<br>SetPixelV<br>SetPolyFillMode<br>SetRectRgn<br>SetROP2<br>SetStretchBltMode<br>SetSystemPaletteUse<br>SetTextAlign<br>SetTextCharacterExtra<br>SetTextColor<br>SetTextJustification<br>SetViewportExtEx<br>SetViewportOrgEx<br>SetWindowExtEx<br>SetWindowOrgEx<br>SetWinMetaFileBits<br>SetWorldTransform<br>StartDoc<br>StartPage<br>StretchBlt<br>StretchDIBits<br>StrokeAndFillPath<br>StrokePath<br>SwapBuffers<br>TextOut<br>TranslateCharsetInfo<br>UnrealizeObject<br>UpdateColors<br>WidenPath<br> | CBM<br>DIBColorMode<br>FloodFillType<br>GradientFillMode<br>RasterOperationMode<br>StretchMode<br>BitmapCompressionMode<br>RegionFlags<br>RegionOp<br>CA_FLAGS<br>CS<br>ICM<br>ILLUMINANT<br>LCSCSTYPE<br>LCSGAMUTMATCH<br>SYSPAL<br>GraphicsMode<br>MapMode<br>MWT<br>BrushStyle<br>DCLayout<br>DISPLAY_DEVICE_FLAGS<br>HatchStyle<br>TCI<br>DeviceCap<br>ObjType<br>StockObjectType<br>DISPLAYCONFIG_COLOR_ENCODING<br>DISPLAYCONFIG_DEVICE_INFO_TYPE<br>DISPLAYCONFIG_GET_ADVANCED_COLOR_INFO_VALUE<br>DISPLAYCONFIG_MODE_INFO_TYPE<br>DISPLAYCONFIG_PIXELFORMAT<br>DISPLAYCONFIG_ROTATION<br>DISPLAYCONFIG_SCALING<br>DISPLAYCONFIG_SCANLINE_ORDERING<br>DISPLAYCONFIG_SET_ADVANCED_COLOR_STATE_VALUE<br>DISPLAYCONFIG_SET_TARGET_PERSISTENCE_VALUE<br>DISPLAYCONFIG_SUPPORT_VIRTUAL_RESOLUTION_VALUE<br>DISPLAYCONFIG_TARGET_DEVICE_NAME_FLAGS<br>DISPLAYCONFIG_TOPOLOGY_ID<br>DISPLAYCONFIG_VIDEO_OUTPUT_TECHNOLOGY<br>D3DKMDT_VIDEO_SIGNAL_STANDARD<br>BackgroundMode<br>DCB<br>R2<br>CharacterSetUint<br>ClippingPrecision<br>ETO<br>FontType<br>FR<br>GCP<br>GCPCLASS<br>GGI<br>GGO<br>GSISize<br>OutputPrecision<br>OutputQuality<br>PAN_ARMS<br>PAN_CONTRAST<br>PAN_FAMILY<br>PAN_LETT<br>PAN_MIDLINE<br>PAN_PROP<br>PAN_SERIF<br>PAN_STROKE<br>PAN_WEIGHT<br>PAN_XHEIGHT<br>PitchAndFamily<br>TextAlign<br>TT<br>RecordType<br>PFD_FLAGS<br>PFD_LAYER<br>PFD_TYPE<br>VertexType<br>PenEndCap<br>PenJoin<br>PenStyle<br>PenType<br>DI<br>EscapeFunction<br>PSINJECT<br>RDH<br>RGN_COMB<br>RGN_FILLMODE<br>RGN_TYPE<br>ArcDirection<br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br> | GRADIENT_RECT<br>GRADIENT_TRIANGLE<br>HSECTION<br>TRIVERTEX<br>BITMAP<br>BITMAPCOREHEADER<br>BITMAPCOREINFO<br>BITMAPFILEHEADER<br>BITMAPINFO<br>BITMAPINFOHEADER<br>BITMAPV4HEADER<br>BITMAPV5HEADER<br>DIBSECTION<br>BLENDFUNCTION<br>LOGBRUSH<br>CIEXYZ<br>CIEXYZTRIPLE<br>COLORADJUSTMENT<br>LOGCOLORSPACE<br>RGBTRIPLE<br>XFORM<br>CHARSETINFO<br>DISPLAY_DEVICE<br>DISPLAYCONFIG_2DREGION<br>DISPLAYCONFIG_ADAPTER_NAME<br>DISPLAYCONFIG_DESKTOP_IMAGE_INFO<br>DISPLAYCONFIG_DEVICE_INFO_HEADER<br>DISPLAYCONFIG_GET_ADVANCED_COLOR_INFO<br>DISPLAYCONFIG_MODE_INFO<br>DISPLAYCONFIG_PATH_INFO<br>DISPLAYCONFIG_PATH_SOURCE_INFO<br>DISPLAYCONFIG_PATH_TARGET_INFO<br>DISPLAYCONFIG_RATIONAL<br>DISPLAYCONFIG_SDR_WHITE_LEVEL<br>DISPLAYCONFIG_SET_ADVANCED_COLOR_STATE<br>DISPLAYCONFIG_SET_TARGET_PERSISTENCE<br>DISPLAYCONFIG_SOURCE_DEVICE_NAME<br>DISPLAYCONFIG_SOURCE_MODE<br>DISPLAYCONFIG_SUPPORT_VIRTUAL_RESOLUTION<br>DISPLAYCONFIG_TARGET_BASE_TYPE<br>DISPLAYCONFIG_TARGET_DEVICE_NAME<br>DISPLAYCONFIG_TARGET_MODE<br>DISPLAYCONFIG_TARGET_PREFERRED_MODE<br>DISPLAYCONFIG_VIDEO_SIGNAL_INFO<br>ABC<br>ABCFLOAT<br>AXESLIST<br>AXISINFO<br>DESIGNVECTOR<br>ENUMLOGFONT<br>ENUMLOGFONTEX<br>ENUMLOGFONTEXDV<br>ENUMTEXTMETRIC<br>FIXED<br>FONTSIGNATURE<br>GCP_RESULTS<br>GLYPHMETRICS<br>GLYPHSET<br>KERNINGPAIR<br>MAT2<br>NEWTEXTMETRIC<br>NEWTEXTMETRICEX<br>OUTLINETEXTMETRIC<br>PANOSE<br>POLYTEXT<br>RASTERIZER_STATUS<br>WCRANGE<br>ENHMETAHEADER<br>HANDLETABLE<br>METAFILEPICT<br>PIXELFORMATDESCRIPTOR<br>EXTLOGPEN<br>LOGPEN<br>DOCINFO<br>DRAWPATRECT<br>PSFEATURE_CUSTPAPER<br>PSFEATURE_OUTPUT<br>PSINJECTDATA<br>RGNDATAHEADER<br>RGNDATA<br>HSPOOLFILE<br>Union<br>Union<br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
